Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-z8CQnw/frappe

Traceback (most recent call last):
File “/usr/local/bin/bench”, line 9, in
load_entry_point(‘bench==0.0.0’, ‘console_scripts’, ‘bench’)()
File “/home/faisal/bench-repo/bench/cli.py”, line 60, in cli
bench()
File “/usr/local/lib/python2.7/dist-packages/click/core.py”, line 716, in call
return self.main(*args, **kwargs)
File “/usr/local/lib/python2.7/dist-packages/click/core.py”, line 696, in main
rv = self.invoke(ctx)
File “/usr/local/lib/python2.7/dist-packages/click/core.py”, line 1060, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/usr/local/lib/python2.7/dist-packages/click/core.py”, line 889, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/usr/local/lib/python2.7/dist-packages/click/core.py”, line 534, in invoke
return callback(*args, **kwargs)
File “/home/faisal/bench-repo/bench/cli.py”, line 241, in _update
update(pull, patch, build, bench, auto, restart_supervisor, requirements, no_backup, upgrade, force=force)
File “/home/faisal/bench-repo/bench/cli.py”, line 259, in update
update_requirements(bench=bench_path)
File “/home/faisal/bench-repo/bench/utils.py”, line 361, in update_requirements
exec_cmd("{pip} install -q -r {req_file}".format(pip=pip, req_file=req_file))
File “/home/faisal/bench-repo/bench/utils.py”, line 105, in exec_cmd
raise CommandFailedError(cmd)
bench.utils.CommandFailedError: ./env/bin/pip install -q -r ./apps/erpnext/requirements.txt

Seems like pip in not setup correctly in ./env/bin

(or are you running from the frappe-bench folder?)

I have the same problem.

It seems, that the update mechanism is very shaky. I am running bench 3, ERPNext v7.
Now my system is broken and i dont know how to bring it back to live.

It is not a production system, but looking at production scenarios the update mechanism must be bulletproof… :slight_smile:

UPDATE:
I found a hint from vjFaLk:
sudo apt-get install libffi-dev
This handles the error and interruption of the bench update.
After installing this missing package the update went successfully and the ERPNext started also without any problems.

Problem solved.

@Idat-Consulting, I faced a similar issue. This is how I fixed it:

  • cd to frappe-bench folder and run ./env/bin/pip install -q -e ./apps/frappe
  • run ./env/bin/pip install -q -e ./apps/
  • Add an entry for your app name to /sites/apps.txt
1 Like

hey @stevenyaga thanks its work for me by run this command on frappe-bench folder

./env/bin/pip install -q -e ./apps/

run ./env/bin/pip install -q -e ./apps/
Add an entry for your app name to /sites/apps.txt

second and third command did`t work for me. got error